$!-----------------------------------------------------------------------------
$! YAHMAIL_STARTUP.COM
$!
$! P1 can supply the server account username (for WASD, "HTTP$SERVER";
$! Apache, "APACHE$WWW"; OSU, "HTTP_SERVER"; vanilla, none; by default)
$!
$! If necessary (the server environment is not being correctly identified)
$! P2 may explicitly specify "WASD", "OSU", "APACHE" or "VANILLA".
$!
$! For example:
$!
$!   $ @YAHMAIL_STARTUP
$!   $ @YAHMAIL_STARTUP "" OSU
$!   $ @YAHMAIL_STARTUP WEB_SERVER VANILLA
$!
$! 16-APR-2002  MGD  allow the server environment to be specified as P2
$! 16-JAN-2001  MGD  APACHE_ROOT becomes APACHE$COMMON (CSWS V1.0-1)
$! 06-APR-2000  MGD  VMS Apache
$! 15-JAN-2000  MGD  make a single package work for all three environments
$! 07-JUL-1999  MGD  initial
$!-----------------------------------------------------------------------------
$!
$ procedure = f$environment("procedure")
$ prolength = f$length(procedure)
$!
$ if p2 .eqs. "WASD" .or. f$locate("HT_ROOT:",procedure) .lt. prolength 
$ then
$!   (WASD environment)
$    yahmail_exe = "ht_exe:yahmail.exe"
$    yahmail_com = "ht_root:[script_local]yahmail.com"
$    yahmail_config = "ht_root:[local]yahmail.conf"
$    httpd_username = "HTTP$SERVER"
$    if p1 .nes. "" then httpd_username = p1
$ endif
$!
$ if p2 .eqs. "APACHE" .or. f$locate("APACHE$COMMON",procedure) .lt. prolength
$ then
$!   (VMS Apache environment)
$    arch_name = f$edit(f$getsyi("arch_name"),"upcase")
$    if arch_name .eqs. "ALPHA" then arch_name = "AXP"
$    yahmail_exe = "apache$common:[cgi-bin]yahmail_''arch_name'.exe"
$    yahmail_com = "apache$common:[cgi-bin]yahmail.com"
$    yahmail_config = "apache$common:[conf]yahmail.conf"
$    httpd_username = "APACHE$WWW"
$    if p1 .nes. "" then httpd_username = p1
$ endif
$!
$ if p2 .eqs. "OSU" .or. f$locate("WWW_ROOT",procedure) .lt. prolength
$ then
$!   (OSU environment)
$    arch_name = f$edit(f$getsyi("arch_name"),"upcase")
$    if arch_name .eqs. "ALPHA" then arch_name = "AXP"
$    yahmail_exe = "www_root:[bin]yahmail_''arch_name'.exe"
$    yahmail_com = "www_root:[bin]yahmail.com"
$    yahmail_config = "www_root:[system]yahmail.conf"
$    httpd_username = "HTTP_SERVER"
$    if p1 .nes. "" then httpd_username = p1
$ endif
$!
$ if p2 .eqs. "VANILLA" .or. f$type(yahmail_exe) .eqs. ""
$ then
$!   (vanilla CGI server environment)
$    arch_name = f$edit(f$getsyi("arch_name"),"upcase")
$    if arch_name .eqs. "ALPHA" then arch_name = "AXP"
$    yahmail_exe = "location:yahmail_''arch_name'.exe"
$    yahmail_com = "location:yahmail.com"
$    yahmail_config = "location:yahmail.conf"
$    httpd_username = "USERNAME?"
$ endif
$!
$ privs = "/priv=(sysprv)"
$!
$!(remove all world access from the configuration file)
$ set security 'yahmail_config' /protection=w -
      /acl=((ident='httpd_username',access=read),(ident=*,access=none))
$!(define a logical locating configuration file)
$ define /nolog /system /exec yahmail$config 'yahmail_config'
$!
$!(allow only the server account to execute the support procedure & image)
$ set security 'yahmail_com' /protection=w -
      /acl=((ident='httpd_username',access=read+execute),(ident=*,access=none))
$ set security 'yahmail_exe' /protection=w -
      /acl=((ident='httpd_username',access=read+execute),(ident=*,access=none))
$!
$!(install with required privileges)
$ install = "install"
$ if f$file("''yahmail_exe'","known")
$    then install replace 'yahmail_exe' /open /header /share 'privs'
$    else install add 'yahmail_exe' /open /header /share 'privs'
$ endif
$!-----------------------------------------------------------------------------
